Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07388 Graphics Major Always Aug 5, 2019, 05:58 Sep 4, 2019, 15:03
Tester EoceneMiacid View Status Public Platform MAME (Self-compiled)
Assigned To hap Resolution Fixed OS Linux (64-bit)
Status [?] Resolved Driver sms.cpp
Version 0.212 Fixed in Version 0.213 Build 64-bit
Summary MESS-specific 07388: smsj: Does not display graphics
Description I use the Japanese Sega Master System (smsj) driver, since it's compatible with everything, NTSC, and supports the FM sound unit.

No graphics are displayed anymore. You can hear the games running otherwise. Happens with all games I've tried.
Games run fine with the 'sms' driver.
Steps To Reproduce Play any game with the smsj driver e.g.

mame smsj sonic
Additional Information
Flags
Regression Version
Affected Sets / Systems smsj
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.16720
Tafoid
Administrator
Aug 5, 2019, 07:08
Check your View in TAB > Video Options.
I suspect you have it selected to a SegaScope 3D Glasses view of some type?
Make sure you have the top entry "Main Screen Standard (4:3)"
User avatar
No.16722
Osso
Developer
Aug 5, 2019, 07:22
Works fine for me.
User avatar
No.16729
EoceneMiacid
Tester
Aug 6, 2019, 05:26
Aha.

It was set to 'Main Screen Standard (4:3)', which doesn't display anything.
Setting it to 'Main Screen Pixel Aspect (67:56)' or just 'Main Screen' does work.
Switching to 'Main Screen Standard (4:3)' again hides the picture.
User avatar
No.16730
Tafoid
Administrator
Aug 6, 2019, 10:00
That is odd. I'd like to get someone with SDL to confirm the behavior. Everything should display correctly with the main layout entry.
User avatar
No.16731
Tafoid
Administrator
Aug 6, 2019, 12:39
This apparently was an issue with all OPENGL and BGFX video modes and should fixed in current Git
https://github.com/mamedev/mame/commit/d54653bfae5abab3d0caaf53cc7d38a70e2b4818